# Organization API: Customer Portal: Snapshots

> The 4 Organization API operations for snapshots.

Source: https://www.coritan.com/docs/api/reference/organizations/customer-portal/vps-snapshots/

Part of [Customer Portal](/docs/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-snapshots) | List snapshots |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-snapshots) | Create snapshot |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}`](#op-delete-api-v1-orgs-org-slug-portal-vps-uuid-snapshots-snapshot-id) | Delete snapshot |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}/rollback`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-snapshots-snapshot-id-rollback) | Rollback snapshot |

### List snapshots {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-snapshots}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create snapshot {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-snapshots}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json`

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | no |
| `description` | string or null | no |
| `vmstate` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete snapshot {#op-delete-api-v1-orgs-org-slug-portal-vps-uuid-snapshots-snapshot-id}

`DELETE /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `snapshot_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Rollback snapshot {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-snapshots-snapshot-id-rollback}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}/rollback`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `snapshot_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
